Subject: direct access to Flash from userland

From: Dave Littell <[email-masked]>
Date: Wed, 03 Sep 2008 18:35:14 -0500

Hi all,

I have a CFI Flash device which has some non-CFI commands I need to
issue from userland.  I've tried mmap() of the mtdblock device, but that
only yielded a corrupted Flash as my non-CFI command sequences were
simply written to Flash.  An attempted mmap() of the character mtd
device fails the mmap() call.

Is there a way for a userland application to issue non-CFI commands
directly to a Flash device?  (This is a 2.6.18-based kernel on a AMCC
PPC440EPx platform.)

Thanks,
Dave